
/*=============================================================================
   beest, an HTML viewer.
   Copyright (C) 2000 Zachary Thayer Smith

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   The author is reachable by electronic mail at zeyr@excite.com.
=============================================================================*/

/*----------------------------------------------------------------------
 * Module name:    string.h
 * Author name:    Zach Smith
 * Create date:    1 Oct 2000
 * Last change:    4 Dec 2000
 * Purpose:        Type definitions, prototypes for String module.
 *----------------------------------------------------------------------
 * Changes:
 *--------------------------------------------------------------------*/


#ifndef _STRING
#define _STRING

typedef unsigned char *String;
typedef unsigned char Char;

extern int my_case_insensitive_strcmp (String,String);
extern int c2toi_signed (String);
extern void itoc2_signed (int, String);
extern int h1toi (String);
extern int h2toi (String);
extern String my_strdup (String);
extern void generate_roman_numeral (unsigned int num, String str, int,int);

#endif

