
/* Generate a circle of points (or a cone) around the X axis
 */


#include <stdio.h>
#include <math.h>


write_value (short x)
{
	int x1,x2;
	long y;

	y=x;
	if (y<0) y+=4096;
	x1 = y/64;
	x2 = y&63;

	if (x1==0) putchar (' ');
	else
	if (x1==1) putchar ('.');
	else
	if (x1<(10+2)) putchar (x1+'0'-2);
	else
	if (x1<(26+10+2)) putchar (x1+'a'-(10+2));
	else
	putchar (x1+'A'-(26+10+2));

	if (x2==0) putchar (' ');
	else
	if (x2==1) putchar ('.');
	else
	if (x2<(10+2)) putchar (x2+'0'-2);
	else
	if (x2<(26+10+2)) putchar (x2+'a'-(10+2));
	else
	putchar (x2+'A'-(26+10+2));

}

main()
{
	double d;
	int i;
	int angle_y;

	for (angle_y=0; angle_y<360; angle_y += 30) {

		printf ("<model ranges=-100,100,-100,100,-100,100 angles=0,%d,0>\n",
			angle_y);

#if 0
		printf ("<line c=red v=0,0,0,100,0,0>\n");
		printf ("<line c=green v=0,0,0,0,100,0>\n");
		printf ("<line c=blue v=0,0,0,0,0,100>\n");
#endif

		for (i=0;i<360;i+=5) {
			double tmp = 2 * 3.1415926536 / 360;
			double y,z;
			short y1,z1;
			tmp *= i;
			y = sin(tmp) * 100.0;
			z = cos(tmp) * 100.0;
			y1=y;
			z1=z;
#if 1
			printf ("<l~ v=100,0,0,-100,%d,%d>\n", y1,z1);
#else
			printf ("<l~ v='x");
			write_value (100);
			write_value (0);
			write_value (0);
			write_value (-100);
			write_value (y1);
			write_value (z1);
			printf ("'>");
#endif

			if (i<=90) {
				printf ("<l~ c=grey1 v=-100,%d,%d,-100,%d,%d>\n",
					y1,z1,-y1,z1);
				printf ("<l~ c=grey1 v=-100,%d,%d,-100,%d,%d>\n",
					y1,-z1,-y1,-z1);
			}

			if (i && !(i&3)) printf ("\n");
		}

		printf ("\n</model>\n\n");

	}
}
